BinaryDataEntry (GNU cryptographic primitives and tools)
Keywords: gnu.crypto.keyring.BinaryDataEntry,BinaryDataEntry class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.crypto.keyring
Class BinaryDataEntry

    java.lang.Object
      |
      +--gnu.crypto.keyring.Entry
            |
            +--gnu.crypto.keyring.PrimitiveEntry
                  |
                  +--gnu.crypto.keyring.BinaryDataEntry

public class BinaryDataEntry
extends PrimitiveEntry

A binary data entry is a primitive entry that simply contains some amount of arbitrary binary data and an optional content type. $Revision: 1.1 $

Field Summary
`static int` | `TYPE`

Fields inherited from class gnu.crypto.keyring.PrimitiveEntry
`creationDate`

Fields inherited from class gnu.crypto.keyring.Entry
`payload, properties, type`

Constructor Summary
`BinaryDataEntry(java.lang.String contentType, byte[] data, java.util.Date creationDate, Properties properties)` Creates a new binary data entry.

Method Summary
`static BinaryDataEntry` | `decode(java.io.DataInputStream in)`
`protected void` | `encodePayload()` This method is called of subclasses when the payload data needs to be created.
`java.lang.String` | `getContentType()` Returns the content type of this entry, or `null` if this property is not set.
`byte[]` | `getData()` Returns this object's data field.

Methods inherited from class gnu.crypto.keyring.PrimitiveEntry
`equals, getAlias, getCreationDate, makeCreationDate`

Methods inherited from class gnu.crypto.keyring.Entry
`defaultDecode, encode, getPayload, getProperties`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE

    public static final int TYPE

See Also:
  Constant Field Values

Constructor Detail

### BinaryDataEntry

    public BinaryDataEntry(java.lang.String contentType,
                           byte[] data,
                           java.util.Date creationDate,
                           Properties properties)

  Creates a new binary data entry.

Parameters:
  `contentType` - The content type of this entry. This parameter can be `null` if no content type is needed.
  `data` - The data.
  `creationDate` - The creation date.
  `properties` - This entry's properties.

Method Detail

### decode

    public static BinaryDataEntry decode(java.io.DataInputStream in)
                                  throws java.io.IOException

    `java.io.IOException`

### getContentType

    public java.lang.String getContentType()

  Returns the content type of this entry, or `null` if this property is not set.

  Returns:
    The content type.

### getData

    public byte[] getData()

  Returns this object's data field.

  Returns:
    The data.

### encodePayload

    protected void encodePayload()

  Description copied from class: `Entry`
  This method is called of subclasses when the payload data needs to be created.

  Specified by:
    `encodePayload` in class `Entry`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.